@echo off
REM ==================================================================== 
REM
REM   ECM: The Extensible Container Model
REM   Copyright (C) 2004 THALES
REM   Contact: openccm-ecm@objectweb.org
REM
REM   This library is free software; you can redistribute it and/or
REM   modify it under the terms of the GNU Lesser General Public
REM   License as published by the Free Software Foundation; either
REM   version 2.1 of the License, or any later version.
REM
REM   This library is distributed in the hope that it will be useful,
REM   but WITHOUT ANY WARRANTY; without even the implied warranty of
REM   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
REM   Lesser General Public License for more details.
REM
REM   You should have received a copy of the GNU Lesser General Public
REM   License along with this library; if not, write to the Free Software
REM   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
REM   USA
REM
REM   Initial developer(s): Mathieu Vadet
REM   Initial funding: IST COACH European Project (IST-2001-34445)
REM                    http://www.ist-coach.org
REM
REM ==================================================================== 


REM
REM  Starts the demo
REM

setlocal

goto begin

:usage
    echo usage: sessiondemo_start.bat [options]
    echo Starts the demo.
    echo --
    echo The following options are supported:
    echo   /h, /help    Print this message
    echo   /debug       Activate debug mode (optional)
    exit /B 1

:begin
set debug=

:parse_args
if not "%1"=="" (
    if "%1"=="/h" (
        goto usage
    ) else if "%1"=="/help" (
        goto usage
    ) else if "%1"=="/debug" (
        set debug=/debug
    )

    shift
    goto parse_args
)

REM start the NS
call @ECM.install.bin.dir@\ns_start.bat %debug%

REM start the ExtCI with component zips
set client_zip=DCE:ClientImpl=file:@ECM.install.zip.dir@\sessiondemo_client.zip
set server_zip=DCE:ServerImpl=file:@ECM.install.zip.dir@\sessiondemo_server.zip

call @ECM.install.bin.dir@\extci_start.bat %debug% /autoload "%client_zip%,%server_zip%"

REM start a CCM runtime with the client home
echo Starting CCM runtime with the client home
call @ECM.install.bin.dir@\ccm_runtime_start.bat %debug% /uuid DCE:ClientImpl ClientHome

REM start a CCM runtime with the server home
echo Starting CCM runtime with the server home
call @ECM.install.bin.dir@\ccm_runtime_start.bat %debug% /uuid DCE:ServerImpl ServerHome

REM start the main
set entrypt=org.objectweb.ccm.sessiondemo.SessionDemo.main
set location=@ECM.install.lib.dir@\sessiondemo_main.jar
call @ECM.install.bin.dir@\corba_runtime_start.bat %debug% /entrypoint %entrypt% /location %location% SessionDemoMain

echo Demo started

:eof
