// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation of the <tt>ComponentPOAConfiguration</tt> OMG IDL interface.</p>
 **/
public class ComponentPOAConfigurationImpl
extends POAConfigurationImpl
implements ComponentPOAConfiguration
{
    // component poa configuration
    private ServicesSet _services_set;

    // default constructor
    public
    ComponentPOAConfigurationImpl(String name, 
                                  org.omg.CORBA.Policy[] pols,
                                  ORBService orbs,
                                  ServicesSet sset)
    {
        // poa configuration
        super(name, pols, orbs);

        // component poa configuration
        _services_set = sset;
    }

    //
    //  IDL:objectweb.org/corba/runtime/POAConfiguration:1.0
    //

    //
    //  IDL:objectweb.org/ccm/runtime/ComponentPOAConfiguration:1.0
    //

    final public ServicesSet
    services_set()
    {
        return _services_set;
    }
}