// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 ** <p></p>
 **/
public class CORBAServiceRef
{
    // 
    public String corba_type;
    public String orb_registration_name;
    public org.omg.CORBA.Object initial_reference;
    public String stringified_initial_reference;

    // default constructor
    public
    CORBAServiceRef()
    {
        corba_type = "unknown";
        orb_registration_name = "unknown";
        initial_reference = null;
        stringified_initial_reference = null;
    }

    // constructor with reference
    public 
    CORBAServiceRef(String type,
                    String regname,
                    org.omg.CORBA.Object ref)
    {
        corba_type = type;
        orb_registration_name = regname;
        initial_reference = ref;
        stringified_initial_reference = null;
    }

    // constructor with stringified reference
    public 
    CORBAServiceRef(String type,
                    String regname,
                    String sref)
    {
        corba_type = type;
        orb_registration_name = regname;
        initial_reference = null;
        stringified_initial_reference = sref;
    }
}

