// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Interface implemented by generated call interceptor factories.</p>
 **/
public interface CallInterceptorFactory
{
    /**
     **  <p>Provide the factory some static information.</p>
     **/
    public void
    setContextInfo(ORBService orbs, ServicesSet sset, String uuid);

    /**
     **  <p>Create a skeleton interceptor for a given segment.</p>
     **/
    public org.omg.PortableServer.Servant
    createSkeletonInterceptor(short sid, org.omg.CORBA.Object executor);

    /**
     **  <p>Create a stub interceptor for a given port (receptacle / emitter / publisher).</p>
     **/
    public org.omg.CORBA.Object
    createStubInterceptor(String name, org.omg.CORBA.Object delegate);

    /**
     **  <p>Create an untyped stub interceptor for a event source (emitter / publisher).
     **  This is usefull as event channels can be untyped are therefore a typed interceptor
     **  is useless.</p>
     **/
    public org.omg.CORBA.Object
    createUntypedStubInterceptor(String name, org.omg.CORBA.Object delegate);
}
