/*====================================================================

  ECM: The Extensible Container Model Implementation
  Copyright (C) 2004 THALES
  Contact: openccm@objectweb.org

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  USA

  Initial developer(s): Mathieu Vadet.
  Initial Funding: IST COACH European project (IST-2001-34445)
                   http://www.ist-coach.org 
  Contributor(s): 

====================================================================*/

/**
 **  <p>The 'ecm/taskdefs' namespace contains Apache Ant tasks implementation
 **  which are used by the various components' build files.</p>  
 **
 **  @author <a href="mailto:mathieu.vadet@fr.thalesgroup.com">Mathieu Vadet</a>
 **  @version 0.1
 **/
package org.objectweb.ecm.taskdefs;

/**
 **  <p>Set of static operations for IR-related tasks.</p>
 **
 **  @author <a href="mailto:mathieu.vadet@fr.thalesgroup.com">Mathieu Vadet</a>
 **  @version 0.1
 **/
public class IR3TaskHelper
{
    //
    //  
    //

    static public org.apache.tools.ant.types.Environment.Variable[]
    buildEnv(org.apache.tools.ant.Project project)
    {
        return buildEnv(project, FileHelper.createTempDir());
    }

    static public org.apache.tools.ant.types.Environment.Variable[]
    buildEnv(org.apache.tools.ant.Project project,
             java.io.File cfgdir)
    {
        // NOTE: path is no more added to the returned variables

        // create environment properties, we need:
        //   - OpenCCM_HOMEDIR (set to ${OpenCCM.install.dir})
        //   - OpenCCM_CONFIG_DIR (set to a temp dir)
        //   - PATH  (set to "${OpenCCM_HOMEDIR}${FSEP}bin${PSEP}${ECM.install.bin.dir}${PSEP}${PATH})

        //   - OpenCCM_HOMEDIR (set to ${OpenCCM.install.dir})
        OSHelper.pathConvert(project, "os.OpenCCM.install.dir", "OpenCCM.install.dir");
        String homedir = project.getProperty("os.OpenCCM.install.dir");

        //   - OpenCCM_CONFIG_DIR (set externally)
        
        //   - PATH  (set to "${OpenCCM_HOMEDIR}${FSEP}bin${PSEP}${ECM.install.bin.dir}${PSEP}${PATH})
        // NOTE: the ECM.install.bin.dir property is only set in the case of the ECM executables (eg ir3_copi)
        /*
        String ecm_path = project.getProperty("ECM.install.bin.dir");
        if (ecm_path==null) {
            ecm_path="";
        }
        else {
            ecm_path=ecm_path+java.io.File.pathSeparator;
        }

        String npath = homedir+java.io.File.separator+"bin"+java.io.File.pathSeparator+ecm_path+OSHelper.osPath();
        */

        // 
        org.apache.tools.ant.types.Environment.Variable[] env = new org.apache.tools.ant.types.Environment.Variable[2];
        env[0] = new org.apache.tools.ant.types.Environment.Variable();
        env[0].setKey("OpenCCM_HOMEDIR");
        env[0].setValue(homedir);

        env[1] = new org.apache.tools.ant.types.Environment.Variable();
        env[1].setKey("OpenCCM_CONFIG_DIR");
        env[1].setValue(cfgdir.getPath());

        /*
        env[2] = new org.apache.tools.ant.types.Environment.Variable();
        env[2].setKey("PATH");
        env[2].setValue(npath);
        */

        // project.log("[buildEnv] OpenCCM_HOMEDIR="+homedir);
        // project.log("[buildEnv] OpenCCM_CONFIG_DIR="+cfgdir.getPath());
        // project.log("[buildEnv] PATH="+npath);

        return env;
    }
}
