// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ecm.taskdefs;

/**
 **  <p>Creates a temporary directory.</p>
 **
 **  <p><bold>Parameters</bold></p>
 **  <tr>
 **    <td><bold>Attributes</bold></td>
 **    <td><bold>Description</bold></td>
 **    <td><bold>Required</bold></td>
 **  </tr>
 **  <tr>
 **    <td>dir</td>
 **    <td>The property in which the directory name is stored.</td>
 **    <td>Yes</td>
 **  </tr>
 **/
public class TempdirTask
extends org.apache.tools.ant.Task
{
    //
    private String _dirprop;

    // default constructor
    public
    TempdirTask()
    {
        //
        _dirprop = null;
    }

    //
    //  internal operations
    //

    // NOTE: check required attributes, properties, environment, ...
    private void
    validate()
    throws org.apache.tools.ant.BuildException
    {
        String msg = "";

        // check dir attribute
        if ((_dirprop==null) || (_dirprop.equals(""))) {
            msg = "dir attribute is missing";
            throw new org.apache.tools.ant.BuildException(msg);
        }
    }

    //
    //  attribute setters
    //

    final public void
    setDir(String dirprop)
    {
        _dirprop = dirprop;
    }

    //
    //  org.apache.tools.ant.Task
    //

    final public void
    execute()
    throws org.apache.tools.ant.BuildException
    {
        validate();

        // create a temporary directory
        java.io.File tempdir = FileHelper.createTempDir();
        String dirname = tempdir.getPath();

        // set property
        getProject().setProperty(_dirprop, dirname);
    }
}
