@echo off
REM ==================================================================== 
REM
REM   ECM: The Extensible Container Model
REM   Copyright (C) 2004 THALES
REM   Contact: openccm-ecm@objectweb.org
REM
REM   This library is free software; you can redistribute it and/or
REM   modify it under the terms of the GNU Lesser General Public
REM   License as published by the Free Software Foundation; either
REM   version 2.1 of the License, or any later version.
REM
REM   This library is distributed in the hope that it will be useful,
REM   but WITHOUT ANY WARRANTY; without even the implied warranty of
REM   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
REM   Lesser General Public License for more details.
REM
REM   You should have received a copy of the GNU Lesser General Public
REM   License along with this library; if not, write to the Free Software
REM   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
REM   USA
REM
REM   Initial developer(s): Mathieu Vadet
REM   Initial funding: IST COACH European Project (IST-2001-34445)
REM                    http://www.ist-coach.org
REM
REM ==================================================================== 


goto begin

:usage
    echo usage: envi_ecm.bat [options]
    echo Starts the ECM.
    echo --
    echo The following options are supported:
    echo   /h, /help       Print this message
    echo   /r, /rep dir    Set the repository directory, ^%TEMP^%\ECM_REPOSITORY by default (optional)
    exit /B 1


:begin
set repository=%TEMP%\ECM_REPOSITORY

:parse_args
if not "%1"=="" (
    if "%1"=="/h" (
        goto usage
    ) else if "%1"=="/help" (
        goto usage
    ) else if "%1"=="/r" (
        set repository=%2
        shift
    ) else if "%1"=="/rep" (
        set repository=%2
        shift
    ) 

    shift
    goto parse_args
)

REM check if repository is set
if not defined repository (
    echo WARNING: Repository directory was wrongly set, use default instead.
    set repository=%TEMP%\ECM_REPOSITORY
)

REM Source OpenCCM environment (no more used)
call @OpenCCM.install.bin.dir@\envi_OpenCCM.bat

REM Add binary directory to path
set PATH=@ECM.install.bin.dir@;%PATH%

REM set repository values
REM CORBA runtime repository
set CORBA_RUNTIME_REPOSITORY=%repository%
REM CCM runtime repository
set CCM_RUNTIME_REPOSITORY=%repository%

REM create repositories
if not exist %CORBA_RUNTIME_REPOSITORY% (
    mkdir %CORBA_RUNTIME_REPOSITORY%
)

if not exist %CCM_RUNTIME_REPOSITORY% (
    mkdir %CCM_RUNTIME_REPOSITORY%
)

:eof
