// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation of the <tt>Components::LocalEvents</tt> OMG IDL local interface.
 **  It uses threads to push the events (i.e. it does not use an event or a notification service).</p>
 **/
public class LocalEventsImpl
extends org.omg.CORBA.LocalObject
implements org.omg.Components.LocalEvents
{
    // event
    static private String _class_name = "LocalEventsImpl";
    private HomeLocalEventsImpl _delegate;
    private byte[] _component_id;

    // default constructor
    public
    LocalEventsImpl(HomeLocalEventsImpl evts, byte[] cid)
    {
        // event
        _delegate = evts;
        _component_id = cid;
    }

    //
    //  IDL:omg.org/Components/LocalEvents:1.0
    //

    final public int
    get_channel(String name)
    throws org.omg.Components.ChannelUnavailable
    {
        return _delegate.get_channel(_component_id, name);
    }

    final public org.omg.Components.Cookie
    subscribe(org.omg.Components.EventConsumerBase consumer, int chid)
    throws org.omg.Components.InvalidChannel
    {
        return _delegate.subscribe(_component_id, consumer, chid);
    }

    final public org.omg.Components.EventConsumerBase
    unsubscribe(org.omg.Components.Cookie ck)
    throws org.omg.Components.InvalidSubscription
    {
        return _delegate.unsubscribe(_component_id, ck);
    }

    final public void
    push(org.omg.Components.EventBase evt, int chid)
    throws org.omg.Components.InvalidChannel
    {
        _delegate.push(_component_id, evt, chid);
    }
}
