// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.corba.runtime;

/**
 **  <p>Simple implementation of client and server request interceptors which log
 **  debug messages.</p>
 **/
public class DebugCRIImpl
extends org.omg.CORBA.LocalObject
implements org.omg.PortableInterceptor.ClientRequestInterceptor
{
    //
    static final private String _class_name = "DebugCRIImpl";

    //
    public 
    DebugCRIImpl()
    {
    }

    //
    //  IDL:omg.org/PortableInterceptor/RequestInterceptor:1.0
    //

    final public String
    name()
    {
        return _class_name;
    }

    final public void
    destroy()
    {
    }

    //
    //  IDL:omg.org/PortableInterceptor/ClientRequestInterceptor:1.0
    //

    final public void
    send_request(org.omg.PortableInterceptor.ClientRequestInfo info)
    throws org.omg.PortableInterceptor.ForwardRequest
    {
        String opname = "send_request";
        TheLogger.debug(_class_name, opname, "");
        TheLogger.debug(_class_name, opname, "Request:   "+info.request_id());
        TheLogger.debug(_class_name, opname, "Operation: "+info.operation());
    }

    final public void
    send_poll(org.omg.PortableInterceptor.ClientRequestInfo info)
    {
        String opname = "send_poll";
        TheLogger.debug(_class_name, opname, "");
        TheLogger.debug(_class_name, opname, "Request:   "+info.request_id());
        TheLogger.debug(_class_name, opname, "Operation: "+info.operation());
    }

    final public void
    receive_reply(org.omg.PortableInterceptor.ClientRequestInfo info)
    {
        String opname = "receive_reply";
        TheLogger.debug(_class_name, opname, "");
        TheLogger.debug(_class_name, opname, "Request:   "+info.request_id());
        TheLogger.debug(_class_name, opname, "Operation: "+info.operation());
    }

    final public void
    receive_exception(org.omg.PortableInterceptor.ClientRequestInfo info)
    throws org.omg.PortableInterceptor.ForwardRequest
    {
        String opname = "receive_exception";
        TheLogger.debug(_class_name, opname, "");
        TheLogger.debug(_class_name, opname, "Request:   "+info.request_id());
        TheLogger.debug(_class_name, opname, "Operation: "+info.operation());
    }

    final public void
    receive_other(org.omg.PortableInterceptor.ClientRequestInfo info)
    throws org.omg.PortableInterceptor.ForwardRequest
    {
        String opname = "receive_other";
        TheLogger.debug(_class_name, opname, "");
        TheLogger.debug(_class_name, opname, "Request:   "+info.request_id());
        TheLogger.debug(_class_name, opname, "Operation: "+info.operation());
    }
}
