// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.corba.runtime;

/**
 **  <p>Default implementation of the <tt>ORBConfiguration</tt> interface. Null values are permitted for
 **  the constructor parameters.</p>
 **/
public class ORBConfigurationImpl
extends org.omg.CORBA.LocalObject
implements ORBConfiguration
{
    // orb configuration
    private String[] _orb_initializers;
    private ValueFactory[] _value_factories;
    private InitialReference[] _initial_references;
    private StringifiedInitialReference[] _stringified_initial_references;

    // default constructor
    public
    ORBConfigurationImpl(String[] inits,
                         ValueFactory[] vfacts,
                         InitialReference[] irefs,
                         StringifiedInitialReference[] sirefs)
    {
        // orb configuration
        if (inits==null) {
            _orb_initializers = new String[0];
        } else {
            _orb_initializers = inits;
        }

        if (vfacts==null) {
            _value_factories = new ValueFactory[0];
        } else {
            _value_factories = vfacts;
        }

        if (irefs==null) {
            _initial_references = new InitialReference[0];
        } else {
            _initial_references = irefs;
        }

        if (sirefs==null) {
            _stringified_initial_references = new StringifiedInitialReference[0];
        } else {
            _stringified_initial_references = sirefs;
        }
    }

    //
    //  IDL:objectweb.org/corba/runtime/ORBConfiguration:1.0
    //

    final public String[]
    orb_initializers()
    {
        return _orb_initializers;
    }

    final public ValueFactory[]
    value_factories()
    {
        return _value_factories;
    }

    final public InitialReference[]
    initial_references()
    {
        return _initial_references;
    }

    final public StringifiedInitialReference[]
    stringified_initial_references()
    {
        return _stringified_initial_references;
    }
}
