// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.corba.runtime;

/**
 **  <p>Default implementation of the <tt>ValueFactory</tt> interface.</p>
 **/
public class ValueFactoryImpl
extends org.omg.CORBA.LocalObject
implements ValueFactory
{
    // value factory
    private String _type_id;
    private org.omg.CORBA.portable.ValueFactory _value_factory;

    // default constructor
    public
    ValueFactoryImpl(String tid, org.omg.CORBA.portable.ValueFactory vfact)
    {
        // value factory
        _type_id = tid;
        _value_factory = vfact;        
    }

    //
    //  IDL:org/objectweb/corba/runtime/ValueFactory/1.0
    //

    final public String
    type_id()
    {
        return _type_id;
    }

    final public org.omg.CORBA.portable.ValueFactory
    value_factory()
    {
        return _value_factory;
    }
}
